package Standard is
   type Short_Short_Integer is range -128 ..  127;
   type Short_Integer       is range -2**15 .. 2**15 - 1;
   type Integer             is range -2**31 .. 2**31 - 1;
   type Long_Long_Integer   is range -2**63 .. 2**63 - 1;
end Standard;

package System is
   Min_Int : constant := -2 ** 63;
   Max_Int : constant :=  2 ** 63 - 1;
end System;
